stcmbackend.administradores = {
	sharedEvents(self) {
		// Vover a Administradores BackEnd
		$('#backLists').on('click', function() {
			window.location.href = '#!administradores_backend';
		});

		// Ocultar cubo de basura de Usuario App
		$('#appUserDelete').hide();

		// Limpiar Usuario de App
		$('#appUserDelete').on('click', function() {
			$('#appUser').val('');
			$('#appUser').attr('title', '');
			$('#appUserDelete').hide();
		});

		$('#tenantPrincipal').on('change', function() {
			if($('#tenantPrincipal').prop('checked')) {
				$('#tenantReq').hide();
				$('#searchTenant').prop('disabled', true);
				$('#tenant').val('');
				$('#idTenant').text('');
			} else {
				$('#tenantReq').show();
				$('#searchTenant').prop('disabled', false);
			}
		});

		addEventArrowTableHeader();
	},

	loadLanguage(self) {
		pf.rsc.translateByTag('text');

		// TITLES
		$('.exportTitle').attr('title', pf.const.language.RSC47);
	},

	switchEvents(self) {
		// Si todos los checkbox están seleccionados, se selecciona el checkbox principal, y viceversa
		// Comprobación inicial
		if($('.uSwitch').length == $('.uSwitch:checked').length) {
			$('#allSwitchs').prop('checked', true);
		} else {
			$('#allSwitchs').prop('checked', false);
		}

		// La id del elemento principal modifica los elementos secundarios a través de su clase
		$('#allSwitchs').on('click', function() {
			$('.uSwitch').prop('checked', this.checked);
		});

		// Si todos los checkbox están seleccionados, se selecciona el checkbox principal, y viceversa
		$('.uSwitch').on('click', function() {
			if($('.uSwitch').length == $('.uSwitch:checked').length) {
				$('#allSwitchs').prop('checked', true);
			} else {
				$('#allSwitchs').prop('checked', false);
			}
		});

		// Exportar tabla
		$('#exportCountriesTables').off().on('click', function() {
			$('#countries .buttons-excel').trigger('click');
		});
	}
};